import Flutter
import UIKit

public class SwiftFlutterJiopayPgPlugin: NSObject, FlutterPlugin {
    private var flutterJiopayPgDelegate = FlutterJiopayPgDelegate()
    
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_jiopay_pg", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterJiopayPgPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      switch call.method {
              case "open":
                  let options = call.arguments as! Dictionary<String, Any>
          flutterJiopayPgDelegate.open(options: options, result: result);
                  break;
              case "resync":
          flutterJiopayPgDelegate.resync(result: result)
                  break
              default:
                  print("no method")
              }
  }
}
